#!/bin/env python

import utils;

class Path:
  def __init__ (self, path):
    self.p = []
    plist = path.split ("/")
    for i in plist:
      if i != "":
        self.p += [i]

  def win32 (self):
    result = ""
    if len (self.p[0]) == 1:       # drive letter
      result = self.p[0] + ":"
      for i in self.p[1:]:
        result += "\\" + i
    else:
      for i in self.p:
        result += "\\" + i
    return result 

  def unix (self):
    result = ""
    if len (self.p[0]) == 1:       # drive letter
      result = self.p[0] + ":"
      for i in self.p[1:]:
	result += "/" + i
    else:
      for i in self.p:
	result += "/" + i
    return result 

  # msys path without drive letter (and without colon)
  # /c/beast instead of c:/beast
  def msys (self):
    result = ""
    for i in self.p:
      result += "/" + i
    return result

  # native path: c:\foo\bar on win32, /foo/bar on linux
  def native (self):
    from buildutils import platform_is_win32, platform_is_unix
    if platform_is_win32():
      return self.win32()
    else:
      return self.msys()

  def join (self, other):
    path = Path ("")
    path.p += self.p
    path.p += other.p
    return path
