from Path import Path;
from buildutils import make, rm_rf
from config import Config;
import utils
import tarfile
import os

class Package:
  def __init__ (self):
    self.config = Config()
    self.dist_image_file = self.config.IMAGES.join (Path (self.full_name() + ".tar.bz2"))

  def setup_env (self):
    pass

  def clear_and_unpack(self, archive, dir):
    print "cleanup: rm -rf " + self.config.SRC_DIR.join (Path (dir)).unix()
    rm_rf (self.config.SRC_DIR.join (Path (dir)).native())
    print "unpack: " + archive
    utils.unpackFile (self.config.DOWNLOAD, archive, self.config.SRC_DIR)

  def compile_with_make (self, src_dir):
    make_cmd = [ "make" ]
    if self.config.PARALLEL_MAKE_JOBS != 1: 
      make_cmd += [ "-j%d" % self.config.PARALLEL_MAKE_JOBS ]
    make (make_cmd, src_dir)

  def tar_dist_image (self, img_path):
    os.chdir (img_path.native())
    utils.makeDirs (self.config.IMAGES)
    dist_image_tar = tarfile.open (self.dist_image_file.native(), "w:bz2")
    print "dist image: creating", os.path.basename (self.dist_image_file.native())
    dist_image_tar.add (".")
    dist_image_tar.close()
    os.chdir (self.config.TMP.native()) # allow rm -rf img_path
    
  def dist_image_with_make_install (self, src_dir):
    img_path = self.config.TMP.join (Path (self.full_name()))
    rm_rf (img_path.native())
    make ([ "make", "install", "DESTDIR=" + img_path.unix() ], src_dir)
    self.tar_dist_image (img_path.join (self.config.PREFIX))
    rm_rf (img_path.native())
     
  def dist_image_with_tarball (self, tarball, subdir):
    img_path = self.config.TMP.join (Path (self.full_name()))
    rm_rf (img_path.native())
    utils.makeDirs (img_path.join (Path (subdir)))
    utils.unpackFile (self.config.DOWNLOAD, tarball,
                      img_path.join (Path (subdir)))
    self.tar_dist_image (img_path)
    rm_rf (img_path.native())

  def install_with_dist_image (self):
    utils.unpackFile (self.config.IMAGES, self.full_name() + ".tar.bz2",
                      self.config.PREFIX)

  def depends (self):
    return []		# default: no dependancies
