from buildutils import download_and_check, configure, make, apply_patch, git_checkout
import utils
from package import Package
from Path import Path

class Beast(Package):
  def full_name (self):
    return "beast"

  def download (self):
    git_checkout ("git.gnome.org", "beast", "win32")

  def extract (self):
    pass

  def patch (self):
    pass

  def configure (self):
    dbg = "--enable-debug" if self.config.ENABLE_DEBUG else "--disable-debug"
    configure ([ "sh", "autogen.sh", "--prefix", self.config.PREFIX.msys(),
                  "--enable-maintainer-mode", # po directory doesn't compile without it
                 dbg,
                  "LIBZ=-lz",
                  "LDFLAGS=-L" + self.config.PREFIX.join (Path ("lib")).msys(),
                  "CFLAGS=-I" + self.config.PREFIX.join (Path ("include")).msys() ],
                  "beast")

  def compile (self):
    self.compile_with_make ("beast")

  def dist_image (self):
    self.dist_image_with_make_install ("beast")

  def install (self):
    self.install_with_dist_image()

  def depends (self):
    return [ 'libogg', 'libvorbis', 'libmad', 'libgnomecanvas', 'libtool', 'guile', 'beastdocs' ]

def package():
  return Beast()
