from buildutils import download_and_check, configure, make, apply_patch
import utils
from package import Package
from Path import Path

class VorbisTools(Package):
  def full_name (self):
    return "vorbis-tools-1.2.0"

  def download (self):
    download_and_check ("http://downloads.xiph.org/releases/vorbis/vorbis-tools-1.2.0.tar.gz", "df976d24e51ef3d87cd462edf747bf9a")

  def extract (self):
    self.clear_and_unpack ("vorbis-tools-1.2.0.tar.gz", "vorbis-tools-1.2.0")

  def patch (self):
    pass

  def configure (self):
    configure ([ "sh", "configure", "--prefix", self.config.PREFIX.msys() ], "vorbis-tools-1.2.0")

  def compile (self):
    self.compile_with_make ("vorbis-tools-1.2.0")

  def dist_image (self):
    self.dist_image_with_make_install ("vorbis-tools-1.2.0")

  def install (self):
    self.install_with_dist_image()

  def depends (self):
    return [ 'libvorbis', 'libao' ]

def package():
  return VorbisTools()
