from buildutils import download_and_check, make, configure;
from package import Package;

import utils;

class AutoMake (Package):
  def full_name (self):
    return "automake-1.10.2";

  def download (self):
    download_and_check ("ftp://ftp.cs.tu-berlin.de/pub/gnu/automake/automake-1.10.2.tar.bz2", "1498208ab1c8393dcbd9afb7d06df6d5")

  def extract (self):
    self.clear_and_unpack ("automake-1.10.2.tar.bz2", "automake-1.10.2")

  def patch (self):
    pass

  def configure (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.msys(),
                 "PERL=/usr/bin/perl" ], "automake-1.10.2")

  def compile (self):
    self.compile_with_make ("automake-1.10.2")

  def dist_image (self):
    self.dist_image_with_make_install ("automake-1.10.2")
           
  def install (self):
    self.install_with_dist_image()

  def depends (self):
    return [ 'autoconf' ]

def package():
  return AutoMake()
