from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;
from Path import Path

import utils;
import os;

class CCache (Package):
  def full_name (self):
    return "ccache-win32-20090430";

  def download (self):
    download_and_check ("http://space.twc.de/~stefan/download/ccache-win32-20090430.tar.bz2",
                        "63fa851fd78e0ed1504c462c590637b7")

  def extract (self):
    self.clear_and_unpack ("ccache-win32-20090430.tar.bz2", "ccache-win32-20090430")

  def patch (self):
    apply_patch ("ccache-win32-20090430.diff", "ccache-win32-20090430", 1)
    apply_patch ("ccache-win32-xmemfuncs.diff", "ccache-win32-20090430", 1)

  def configure (self):
    pass

  def compile (self):
    self.compile_with_make ("ccache-win32-20090430")

  def dist_image (self):
    img_path = self.config.TMP.join (Path (self.full_name()))
    bindir = img_path.join (Path ("bin")).unix()
    make (["mkdir", "-p", bindir ], "ccache-win32-20090430")
    make (["cp", "ccache.exe",  bindir ], "ccache-win32-20090430")
    self.tar_dist_image (img_path)
    
  def install (self):
    self.install_with_dist_image()
    
  def setup_env (self):
    os.environ["CC"] = "ccache gcc"
    os.environ["CXX"] = "ccache g++"
    os.environ["CCACHE_LOGFILE"] = self.config.SRC_DIR.join (Path ("ccache.log")).unix()

def package():
  return CCache()
