from buildutils import download_and_check, make, configure, rm_rf
from package import Package
from Path import Path

import utils;

class DocBookDTD (Package):
  def full_name (self):
    return "docbook-xml-4.3";

  def download (self):
    download_and_check ("http://www.docbook.org/xml/4.3/docbook-xml-4.3.zip",
                        "ab200202b9e136a144db1e0864c45074")

  def extract (self):
    path = self.config.SRC_DIR.join (Path ("docbook-xml-4.3"))
    rm_rf (path.win32())
    make ([ "mkdir", "-p", path.unix() ], ".")
    utils.unpackFile (self.config.DOWNLOAD, "docbook-xml-4.3.zip", path)

  def patch (self):
    pass

  def configure (self):
    pass

  def compile (self):
    pass

  def dist_image (self):
    img_path = self.config.TMP.join (Path (self.full_name()))
    # we need to install in /usr/share, however, msys path translation stores
    # /usr/share in /c/beast/msys/share
    dest_dir = img_path.join (Path ("msys/share/sgml/docbook/xml-dtd-4.3")).msys()
    make ([ "mkdir", "-p", dest_dir ], ".")
    make ([ "cp", "-rav", "docbook.cat", "*.dtd", "*.mod" , "ent", dest_dir ], "docbook-xml-4.3")
    self.tar_dist_image (img_path)

  def install (self):
    self.install_with_dist_image()
    make ([ "sh", "build-docbook-catalog" ], ".")

  def depends (self):
    return [ "builddocbookcatalog" ]

def package():
  return DocBookDTD()
