from buildutils import download_and_check, make, configure
from package import Package
from Path import Path

import utils;

class DocBookXslStylesheets (Package):
  def full_name (self):
    return "docbook-xsl-stylesheets-1.74.3";

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/docbook/docbook-xsl-1.74.3.tar.bz2",
                        "c77c0c317040b2f2e366842bd9df2218")

  def extract (self):
    self.clear_and_unpack ("docbook-xsl-1.74.3.tar.bz2", "docbook-xsl-1.74.3")

  def patch (self):
    pass

  def configure (self):
    pass

  def compile (self):
    pass

  def dist_image (self):
    img_path = self.config.TMP.join (Path (self.full_name()))
    # we need to install in /usr/share, however, msys path translation stores
    # /usr/share in /c/beast/msys/share
    dest_dir = img_path.join (Path ("msys/share/sgml/docbook/xsl-stylesheets")).msys()
    make ([ "mkdir", "-p", dest_dir ], ".")
    make ([ "cp", "-rav", ".", dest_dir ], "docbook-xsl-1.74.3")
    self.tar_dist_image (img_path)
    
  def install (self):
    self.install_with_dist_image()
    make ([ "sh", "build-docbook-catalog" ], ".")

  def depends (self):
    return [ 'builddocbookcatalog' ]

def package():
  return DocBookXslStylesheets()
