from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch

class Expat(Package):
  def full_name (self):
    return "expat-2.0.1"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/expat/expat-2.0.1.tar.gz", "ee8b492592568805593f81f8cdf2a04c")

  def extract (self):
    self.clear_and_unpack ("expat-2.0.1.tar.gz", "expat-2.0.1")

  def patch (self):
    apply_patch ("expat-2.0.1.diff", "expat-2.0.1", 1)
    configure ([ "sh", "autoconf" ], "expat-2.0.1")

  def configure (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.msys() ], "expat-2.0.1")

  def compile (self):
    self.compile_with_make ("expat-2.0.1")

  def dist_image (self):
    self.dist_image_with_make_install ("expat-2.0.1")
           
  def install (self):
    self.install_with_dist_image()

def package():
  return Expat()
