from buildutils import download_and_check, configure, make, apply_patch, rm_rf
import utils
from package import Package
from Path import Path

class GetOpt(Package):
  def full_name (self):
    return "getopt-2.12r"

  def download (self):
    download_and_check ("http://www.kernel.org/pub/linux/utils/util-linux/util-linux-2.12r.tar.bz2",
                        "af9d9e03038481fbf79ea3ac33f116f9")

  def extract (self):
    self.clear_and_unpack ("util-linux-2.12r.tar.bz2", "util-linux-2.12r")

  def patch (self):
    pass

  def configure (self):
    cflags = "-g -Wall -O2" if self.config.ENABLE_DEBUG else "-Wall -O2"
    cflags += " -I" + self.config.PREFIX.join (Path ("include")).msys()
    configure ([ "sh", "-c", "CFLAGS='" + cflags + "' ./configure"], "util-linux-2.12r")

  def compile (self):
    self.compile_with_make ("util-linux-2.12r/getopt")

  def dist_image (self):
    img_path = self.config.TMP.join (Path (self.full_name()))
    bin_path = img_path.join (Path ("bin"))
    rm_rf (img_path.win32())
    utils.makeDirs (bin_path)
    make ([ "cp", "getopt.exe", bin_path.msys() ], "util-linux-2.12r/getopt")
    self.tar_dist_image (img_path)
    rm_rf (img_path.win32())

  def install (self):
    self.install_with_dist_image()

  def depends (self):
    return [ 'gettext' ]

def package():
  return GetOpt()
