from package import Package
from buildutils import download_and_check, configure, make, apply_patch
import utils;

class GetText (Package):
  def full_name (self):
    return "gettext-0.17"

  def download (self):
    download_and_check ("ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/ftp.gnu.org/gettext/gettext-0.17.tar.gz", "58a2bc6d39c0ba57823034d55d65d606")

  def extract (self):
    self.clear_and_unpack ("gettext-0.17.tar.gz", "gettext-0.17")

  def patch (self):
    apply_patch ("gettext-0.17.diff", "gettext-0.17", 1)

  def configure (self):
    if self.config.ENABLE_DEBUG:
      flags=""" CFLAGS="-g -O2 -Wall" """
    else:
      flags=""" CFLAGS="-O2 -Wall" """
    configure ([ "sh", "-c", flags + " ./configure " +
                 "--prefix=" + self.config.PREFIX.msys() ], "gettext-0.17")

  def compile (self):
    self.compile_with_make ("gettext-0.17")

  def dist_image (self):
    self.dist_image_with_make_install ("gettext-0.17")

  def install (self):
    self.install_with_dist_image()

  def depends (self):
    return [ 'libiconv' ]

def package():
  return GetText()
