from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch

class GnomeDocUtils(Package):
  def full_name (self):
    return "gnome-doc-utils-0.16.1"

  def download (self):
    download_and_check ("http://ftp.acc.umu.se/pub/GNOME/sources/gnome-doc-utils/0.16/gnome-doc-utils-0.16.1.tar.bz2", "85d4bba44773f6162de72e81e8bd0ab0")

  def extract (self):
    self.clear_and_unpack ("gnome-doc-utils-0.16.1.tar.bz2", "gnome-doc-utils-0.16.1")

  def patch (self):
    apply_patch ("gnome-doc-utils-0.16.1.diff", "gnome-doc-utils-0.16.1", 1)
    pass

  def configure (self):
    configure ([ "sh", "aclocal-1.9" ], "gnome-doc-utils-0.16.1")
    #configure ([ "sh", "automake-1.9" ], "gnome-doc-utils-0.16.1")
    configure ([ "sh", "autoconf" ], "gnome-doc-utils-0.16.1")
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.msys() ], "gnome-doc-utils-0.16.1")

  def compile (self):
    self.compile_with_make ("gnome-doc-utils-0.16.1")

  def dist_image (self):
    self.dist_image_with_make_install ("gnome-doc-utils-0.16.1")
           
  def install (self):
    self.install_with_dist_image()

  def depends (self):
    return [ 'libxslt', 'gettext', 'automake1_9' ]

def package():
  return GnomeDocUtils()
