from package import Package
import utils, os
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class Guile(Package):
  def full_name (self):
    return "guile-1.8.6"

  def download (self):
    download_and_check ("ftp://ftp.gnu.org/gnu/guile/guile-1.8.6.tar.gz", "9e23d3dbea0e89bab8a9acc6880150de")

  def extract (self):
    self.clear_and_unpack ("guile-1.8.6.tar.gz", "guile-1.8.6")

  def patch (self):
    apply_patch ("guile-1.8.6.diff", "guile-1.8.6", 1)

  def configure (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.msys(),
                 "LDFLAGS=-L" + self.config.PREFIX.join (Path ("lib")).unix(),
                 "CFLAGS=-I" + self.config.PREFIX.join (Path ("include")).unix() ], "guile-1.8.6")

  def compile (self):
    self.compile_with_make ("guile-1.8.6")

  def dist_image (self):
    self.dist_image_with_make_install ("guile-1.8.6")

  def install (self):
    self.install_with_dist_image()

  def setup_env (self):
    os.environ["GUILE_LOAD_PATH"]=self.config.PREFIX.join (Path("share/guile/1.8")).win32()

  def depends (self):
    return [ 'gmp' ]

def package():
  return Guile()
