from package import Package
from buildutils import download_and_check, configure, make
import utils;

class Libtool (Package):
  def full_name (self):
    return "libtool-1.5.26"

  def download (self):
    download_and_check ("http://ftp.gnu.org/gnu/libtool/libtool-1.5.26.tar.gz", "aa9c5107f3ec9ef4200eb6556f3b3c29")

  def extract (self):
    self.clear_and_unpack ("libtool-1.5.26.tar.gz", "libtool-1.5.26")

  def patch (self):
    pass

  def configure (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.msys()], "libtool-1.5.26")

  def compile (self):
    self.compile_with_make ("libtool-1.5.26")

  def dist_image (self):
    self.dist_image_with_make_install ("libtool-1.5.26")
           
  def install (self):
    self.install_with_dist_image()

def package():
  return Libtool()
