from buildutils import download_and_check, make, configure, platform_is_win32
from package import Package
from Path import Path
import utils

def exe_name (prog):
  if platform_is_win32():
    return prog + ".exe"
  else:
    return prog

class SlashX(Package):
  def full_name (self):
    return "slashx-0.1"

  def download (self):
    pass

  def extract (self):
    src_dir = self.config.SRC_DIR.join (Path ("slashx-0.1")).unix()
    make (["mkdir", "-p", src_dir], ".")
    make (["sh", "-c", "cp -av %s %s" % (self.config.BEASTBUILD.join (Path ("slashx/*")).unix(), src_dir)], ".")

  def patch (self):
    pass

  def configure (self):
    pass

  def compile (self):
    self.compile_with_make ("slashx-0.1")

  def dist_image (self):
    img_path = self.config.TMP.join (Path (self.full_name()))
    bindir = img_path.join (Path ("bin")).unix()
    make (["mkdir", "-p", bindir ], "slashx-0.1")
    make (["cp", exe_name ("slashx"),  bindir ], "slashx-0.1")
    make (["cp", exe_name ("stripm"),  bindir ], "slashx-0.1")
    make (["cp", exe_name ("crlf-style"),  bindir ], "slashx-0.1")
    self.tar_dist_image (img_path)

  def install (self):
    self.install_with_dist_image()
    
def package():
  return SlashX()
