from buildutils import download_and_check, make, configure, rm_rf;
from package import Package;
from Path import Path;

import utils;

class YYGit(Package):
  def full_name (self):
    return "yygit-0.9"

  def download (self):
    download_and_check ("http://testbit.eu/~timj/tools/yyhelp",
                        "2130634d84c7bbca70b84d7c58076e51")

  def extract (self):
    dl = self.config.DOWNLOAD.join (Path ("yyhelp"))
    src = self.config.SRC_DIR.join (Path ("yygit-0.9"))
    rm_rf (src.win32())
    make ([ "mkdir", "-p", src.unix() ], ".")
    make ([ "cp", dl.unix(), src.unix() ], ".")

  def patch (self):
    pass 

  def configure (self):
    pass 

  def compile (self):
    pass

  def dist_image (self):
    src = self.config.SRC_DIR.join (Path ("yygit-0.9/yyhelp"))
    img_path = self.config.TMP.join (Path (self.full_name()))
    bindir = img_path.join (Path ("bin")).unix()
    make (["mkdir", "-p", bindir ], ".")
    dest = img_path.join (Path ("bin/yyhelp"))
    make ([ "cp", src.unix(), dest.unix() ], ".")
    make ([ "sh", "yyhelp", "--install-aliases"], bindir)
    self.tar_dist_image (img_path)

  def install (self):
    self.install_with_dist_image()

  def depends (self):
    return [ 'mktemp', 'getopt' ]

def package():
  return YYGit()
