from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class BsePortAudio (Package):
  def full_name (self):
    return "bse-portaudio-20090519"

  def download (self):
    download_and_check ("http://space.twc.de/~stefan/download/bse-portaudio-20090519.tar.bz2",
                        "6bc382fa0961cf0bc11085e3e5c7b13a")

  def extract (self):
    self.clear_and_unpack ("bse-portaudio-20090519.tar.bz2", "bse-portaudio-20090519")

  def patch (self):
    apply_patch ("bse-portaudio-20090519.diff", "bse-portaudio-20090519", 0)
    apply_patch ("bse-portaudio-20090519-2.diff", "bse-portaudio-20090519", 1)

  def configure (self):
    dbg = "--enable-debug" if self.config.ENABLE_DEBUG else "--disable-debug"
    configure ([ "sh", "autogen.sh", dbg, "--prefix=" + self.config.PREFIX.msys() ],
                 "bse-portaudio-20090519")

  def compile (self):
    self.compile_with_make ("bse-portaudio-20090519")

  def dist_image (self):
    self.dist_image_with_make_install ("bse-portaudio-20090519")

  def install (self):
    self.install_with_dist_image()

  def depends (self):
    return [ 'beast', 'portaudio' ]

def package():
  return BsePortAudio()
