from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class GMP (Package):
  def full_name (self):
    return "gmp-4.3.1"

  def download (self):
    download_and_check ("ftp://ftp.gmplib.org/pub/gmp-4.3.1/gmp-4.3.1.tar.bz2",
                        "26cec15a90885042dd4a15c4003b08ae")

  def extract (self):
    self.clear_and_unpack ("gmp-4.3.1.tar.bz2", "gmp-4.3.1")

  def patch (self):
    pass

  def configure (self):
    configure ([ "sh", "configure", "--prefix=" + self.config.PREFIX.msys(),
                 "--disable-static", "--enable-shared"], "gmp-4.3.1")

  def compile (self):
    self.compile_with_make ("gmp-4.3.1")

  def dist_image (self):
    self.dist_image_with_make_install ("gmp-4.3.1")

  def install (self):
    self.install_with_dist_image()

def package():
  return GMP()
