from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibAO (Package):
  def full_name (self):
    return "libao-0.8.8"

  def download (self):
    download_and_check ("http://downloads.xiph.org/releases/ao/libao-0.8.8.tar.gz",
                        "b92cba3cbcf1ee9bc221118a85d23dcd")

  def extract (self):
    self.clear_and_unpack ("libao-0.8.8.tar.gz", "libao-0.8.8")

  def patch (self):
    pass

  def configure (self):
    if self.config.ENABLE_DEBUG:
      flags=""" CFLAGS="-g -O2 -Wall" """
    else:
      flags=""" CFLAGS="-O2 -Wall" """
    configure ([ "sh", "-c", flags + "./configure --prefix=" + self.config.PREFIX.msys() ],
               "libao-0.8.8")

  def compile (self):
    self.compile_with_make ("libao-0.8.8")

  def dist_image (self):
    self.dist_image_with_make_install ("libao-0.8.8")
           
  def install (self):
    self.install_with_dist_image()

def package():
  return LibAO()
