from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibArt (Package):
  def full_name (self):
    return "libart-2.3.20"

  def download (self):
    download_and_check ("http://ftp.gnome.org/pub/GNOME/sources/libart_lgpl/2.3/libart_lgpl-2.3.20.tar.bz2",
                        "d0ce67f2ebcef1e51a83136c69242a73")

  def extract (self):
    self.clear_and_unpack ("libart_lgpl-2.3.20.tar.bz2", "libart_lgpl-2.3.20")

  def patch (self):
    pass

  def configure (self):
    if self.config.ENABLE_DEBUG:
      flags=""" CFLAGS="-g -O2 -Wall" """
    else:
      flags=""" CFLAGS="-O2 -Wall" """
    configure ([ "sh", "-c", flags + "./configure --prefix=" + self.config.PREFIX.msys() ],
               "libart_lgpl-2.3.20")

  def compile (self):
    self.compile_with_make ("libart_lgpl-2.3.20")

  def dist_image (self):
    self.dist_image_with_make_install ("libart_lgpl-2.3.20")
           
  def install (self):
    self.install_with_dist_image()

def package():
  return LibArt()
