from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibMAD (Package):
  def full_name (self):
    return "libmad-0.15.1b"

  def download (self):
    download_and_check ("ftp://ftp.mars.org/pub/mpeg/libmad-0.15.1b.tar.gz", "1be543bc30c56fb6bea1d7bf6a64e66c")

  def extract (self):
    self.clear_and_unpack ("libmad-0.15.1b.tar.gz", "libmad-0.15.1b") 

  def patch (self):
    apply_patch ("libmad-0.15.1b.diff", "libmad-0.15.1b", 1)

  def configure (self):
    if self.config.ENABLE_DEBUG:
      flags=""" CFLAGS="-g -O2 -Wall" """
    else:
      flags=""" CFLAGS="-O2 -Wall" """
    # automake complains about missing NEWS and others, so
    configure ([ "touch", "NEWS", "AUTHORS", "ChangeLog" ], "libmad-0.15.1b")
    configure ([ "sh", "libtoolize", "--force" ], "libmad-0.15.1b")
    configure ([ "sh", "aclocal" ], "libmad-0.15.1b")
    configure ([ "sh", "autoconf" ], "libmad-0.15.1b")
    configure ([ "sh", "automake" ], "libmad-0.15.1b")
    configure ([ "sh", "-c", flags + "./configure --prefix=" + self.config.PREFIX.msys() ], "libmad-0.15.1b")

  def compile (self):
    self.compile_with_make ("libmad-0.15.1b")

  def dist_image (self):
    self.dist_image_with_make_install ("libmad-0.15.1b")
           
  def install (self):
    self.install_with_dist_image()

def package():
  return LibMAD()
