from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class LibVorbis (Package):
  def full_name (self):
    return "libvorbis-1.2.0"

  def download (self):
    download_and_check ("http://downloads.xiph.org/releases/vorbis/libvorbis-1.2.0.tar.gz", "478646358c49f34aedcce58948793619")

  def extract (self):
    self.clear_and_unpack ("libvorbis-1.2.0.tar.gz", "libvorbis-1.2.0")

  def patch (self):
    apply_patch ("libvorbis-1.2.0.diff", "libvorbis-1.2.0", 1)

  def configure (self):
    if self.config.ENABLE_DEBUG:
      flags=""" CFLAGS="-g -O2 -Wall" """
    else:
      flags=""" CFLAGS="-O2 -Wall" """
    configure ([ "sh", "-c", flags + " ./autogen.sh --prefix=" + self.config.PREFIX.msys() ], "libvorbis-1.2.0")

  def compile (self):
    self.compile_with_make ("libvorbis-1.2.0")

  def dist_image (self):
    self.dist_image_with_make_install ("libvorbis-1.2.0")
           
  def install (self):
    self.install_with_dist_image()

  def depends (self):
    return [ 'libtool', 'libogg', 'automake', 'autoconf' ]

def package():
  return LibVorbis()
