from buildutils import download_and_check, make, configure, apply_patch;
from package import Package;

import utils;

class OpenSSL (Package):
  def full_name (self):
    return "openssl-0.9.8k"

  def download (self):
    download_and_check ("http://www.openssl.org/source/openssl-0.9.8k.tar.gz", "e555c6d58d276aec7fdc53363e338ab3")

  def extract (self):
    self.clear_and_unpack ("openssl-0.9.8k.tar.gz", "openssl-0.9.8k")

  def patch (self):
    apply_patch ("openssl-0.9.8k.diff", "openssl-0.9.8k", 1)

  def configure (self):
    configure ([ "sh", "config", "--prefix=" + self.config.PREFIX.unix() ], "openssl-0.9.8k")

  def compile (self):
    self.compile_with_make ("openssl-0.9.8k")

  def install (self):
    make ([ "make", "install" ], "openssl-0.9.8k")

def package():
  return OpenSSL()
