from package import Package
from buildutils import download_and_check, make
from Path import Path
import utils;

class WGet(Package):
  def full_name (self):
    return "wget-1.11.4"

  def download (self):
    download_and_check ("ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/ftp.gnu.org/wget/wget-1.11.4.tar.bz2", "f5076a8c2ec2b7f334cb6e3059820f9c")

  def extract (self):
    self.clear_and_unpack ("wget-1.11.4.tar.bz2", "wget-1.11.4")

  def patch (self):
    make(["cp", "windows\Makefile.top.mingw", "Makefile"], "wget-1.11.4")
    make(["cp", "windows\Makefile.src.mingw", "src\Makefile"], "wget-1.11.4")
    make(["cp", "windows\Makefile.doc", "doc\Makefile"], "wget-1.11.4")
    make(["cp", "windows\config.h", "src\config.h"], "wget-1.11.4")
    make(["cp", "windows\config-compiler.h", "src\config-compiler.h"], "wget-1.11.4")

  def configure (self):
    pass

  def compile (self):
    self.compile_with_make ("wget-1.11.4/src")

  def dist_image (self):
    img_path = self.config.TMP.join (Path (self.full_name()))
    bindir = img_path.join (Path ("bin")).unix()
    make (["mkdir", "-p", bindir ], "wget-1.11.4/src")
    make ([ "cp", "wget.exe", bindir ], "wget-1.11.4/src")
    self.tar_dist_image (img_path)

  def install (self):
    self.install_with_dist_image()
 
def package():
  return WGet()
